
import matplotlib.pyplot as plt
from PIL import Image
 

# Chargement de l'image "san_f.png"
img = Image.open("san_f.png")


# Récupération des dimensions de l'image
largeur = img.size[0]
hauteur = img.size[1]


# Parcourir l'image pour la modifier
for x in range(largeur):                # Parcours l'image de haut en bas

    for y in range(hauteur):            # Parcours l'image de gauche à droite

        coordonnees_du_pixel = (x, y)
        
        rouge, vert, bleu = img.getpixel(coordonnees_du_pixel)   # Récupération des couleurs RVB du pixel

        rouge = rouge + 150
        vert = vert + 150
        bleu = bleu + 150
        
        couleurRVB = (rouge, vert, bleu)
        
        img.putpixel( coordonnees_du_pixel , couleurRVB )  # Les couleurs RVB modifiées sont attribuées au pixel


# Afficher l'image
plt.imshow(img)
plt.show() 
