
import matplotlib.pyplot as plt
from PIL import Image
 

# Dimension de l'image
largeur = 600
hauteur = 300
dimensions = (largeur, hauteur)


# Creer une image
img = Image.new( 'RGB', dimensions )

droite_nrouge = 100
droite_noire = 50
droite_bleue = 10

# Parcourir l'image pour la modifier
for x in range(largeur):                # Parcours l'image de haut en bas

    droite_nrouge = droite_nrouge + 1
    droite_noire = droite_noire + 1
    droite_bleue = droite_bleue + (hauteur/largeur)
    
    for y in range(hauteur):            # Parcours l'image de gauche à droite

        coordonnees_du_pixel = (x, y)
        
        couleurRVB = (255, 255, 255) # Couleur par défaut
            
        
        # L'espace jaune
        if y <= droite_nrouge :
            couleurRVB = (255, 255, 150)
        
        # La droite rouge
        if y <= droite_nrouge and y >= droite_nrouge - 4 :
            couleurRVB = (255, 0, 0)
        
        # La droite trouge inversée
        if y <= hauteur - droite_nrouge + 4 and y >= hauteur - droite_nrouge :
            couleurRVB = (255, 0, 0)
        
        # La droite noire
        if y <= droite_noire and y >= droite_noire - 4 and y >= 100 and y <= 250 :
            couleurRVB = (0, 0, 0)
        
        # La droite bleue
        if y <= droite_bleue and y >= droite_bleue - 20 :
            couleurRVB = (0, 0, 255)
        
        
        img.putpixel( coordonnees_du_pixel , couleurRVB )     # Les couleurs RVB sont attribuées au pixel


# Afficher l'image
plt.imshow(img)
plt.show() 
