import matplotlib.pyplot as plt
from PIL import Image
 

# Dimension de l'image
largeur = 600
hauteur = 300
dimensions = (largeur, hauteur)


# Creer une image
img = Image.new( 'RGB', dimensions, color=(255, 0, 0) )


# Parcourir l'image pour la modifier
for x in range(largeur):                # Parcours l'image de haut en bas

    for y in range(hauteur):            # Parcours l'image de gauche à droite

        coordonnees_du_pixel = (x, y)

        rouge = 0
        vert = 255
        bleu = 255
        
        couleurRVB = (rouge, vert, bleu)
        
        img.putpixel( coordonnees_du_pixel , couleurRVB )     # Les couleurs RVB sont attribuées au pixel


# Afficher l'image
plt.imshow(img)
plt.show() 
