
import matplotlib.pyplot as plt
from PIL import Image
 

# Dimension de l'image
largeur = 600
hauteur = 300
dimensions = (largeur, hauteur)


# Creer une image
img = Image.new( 'RGB', dimensions )


# Parcourir l'image pour la modifier
for x in range(largeur):                # Parcours l'image de haut en bas

    for y in range(hauteur):            # Parcours l'image de gauche à droite

        coordonnees_du_pixel = (x, y)
        
        couleurRVB = (255, 255, 255) # Couleur par défaut
        
        # Dessiner un recangle rouge dont l'angle en haut à gauche est aux coordonnées (20, 50) 
        # et dont l'angle en bas à droite est aux coordonnées (450, 250)
        if (x >= 20 and y >= 50) and (x <= 450 and y <= 250):
            couleurRVB = (255, 0, 0)
        
        # Dessiner un carré bleu, aux coordonnées (400, 125) et (565, 290)
        if (x >= 400 and y >= 125) and (x <= 565 and y <= 290):
            couleurRVB = (0, 0, 255)
        
        # Dessiner un rectangle jaune, de la même manière
        if (x >= 300 and y >= 100) and (x <= 430 and y <= 200):
            couleurRVB = (255, 255, 0)
        
        img.putpixel( coordonnees_du_pixel , couleurRVB )     # Les couleurs RVB sont attribuées au pixel


# Afficher l'image
plt.imshow(img)
plt.show() 
